﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace SampleApplication
{
    public class Book
    {
        public Book(string isbn, string title, string publisher, decimal price)
        {
            ISBN = isbn;
            Title = title;
            Publisher = publisher;
            Price = price;
        }

        public string ISBN { get; private set; }
        public string Title { get; private set; }
        public string Publisher { get; private set; }
        [DisplayFormat(DataFormatString = "{0:c}")]
        public decimal Price { get; private set; }
    }
}